Page MenuHomePhabricator

Typeahead search drop-down suggestions for special page parameters
Closed, ResolvedPublic

Description

We have lovely typeahead search suggestions for regular page names, and for raw Special: page names (eg if you "special:rec" and get shown "Special:RecentChanges" and "Special:RecentChangesLinked") but...

What would come in quite handy for us power users would be if for special pages which are known to accept a page title as a slash-parameter, we could get typeahead suggestions for page titles!

Eg, type "Special:Whatlinkshere/leb" and see:

Special:WhatLinksHere/Lebanon
Special:WhatLinksHere/Lebanese Civil War
Special:WhatLinksHere/LeBron James
etc.

This would require special pages registering themselves as accepting titles as a parameter, as not all of them do. (And some take usernames or other special cases, which would need different support.)


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Special:Search

Details

Reference
bz20210

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz20210.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Aug 13 2009, 12:08 AM

If the special page specified more than a boolean "I accept page parameters", for instance relevant parts of an API request instead, we could have suggestions for Special:Code as well.

Change 125565 had a related patch set uploaded by Bartosz Dziewoński:
[poc] Autocomplete special pages' subpages in search suggestions

https://gerrit.wikimedia.org/r/125565

Change 125565 merged by jenkins-bot:
Autocomplete special pages' subpages in search suggestions

https://gerrit.wikimedia.org/r/125565

And so the foundations for this are laid! However, the only special pages which support this sort of autocompletion is Special:Watchlist (…/edit, etc.) and Special:Log (…/block, etc.).

My patch originally also included a hacky implementation for Special:Contributions which was deemed unsalvageable.

Somebody should probably file some sub-bugs to implement this in special pages where it would have any value. Contributions and Whatlinkshere (mentioned in comment 0) are two, what else?

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptOct 6 2017, 3:41 AM
debt added a subscriber: debt.

Not sure that this is something that is still needed, as this ticket is pretty old. Removing the Discovery-Search team.

matmarex closed this task as Resolved.Oct 12 2017, 8:48 PM
matmarex added subscribers: PiRSquared17, Umherirrender.

Actually, this has already been implemented for many pages, by @Umherirrender and @PiRSquared17. For example, the change for Special:WhatLinksHere was rMW078ae9dbf5aa: Add autocomplete for WhatLinksHere subpages.

From a quick search, at least the following special pages will autocomplete page titles or user names in search suggestions (there may be others, but I did not search very hard):

  • Special:AllPages
  • Special:Block
  • Special:ChangeContentModel
  • Special:Contributions
  • Special:DeletedContributions
  • Special:Emailuser
  • Special:FileDuplicateSearch
  • Special:Listfiles
  • Special:Movepage
  • Special:PageLanguage
  • Special:PagesWithProp
  • Special:Prefixindex
  • Special:Recentchangeslinked
  • Special:Unblock
  • Special:Undelete
  • Special:Userrights
  • Special:Whatlinkshere

So I think this task can be considered resolved. If any special pages are missing this feature but should have it, please file another task.